%define name kstreamripper
%define version 0.3.4
%define release %mkrel 4
%define __libtoolize true

Name: %{name}
Summary: KDE frontend to streamripper
Version: %{version}
Release: %{release}
License: GPLv2+
Url: http://www.tuxipuxi.org/
Group: Sound
Source: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png.bz2
Source11: %{name}-32.png.bz2
Source12: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:  kdelibs-devel
BuildRequires:  chrpath python
BuildRequires:	desktop-file-utils

%description
KStreamRipper is a KDE-based frontend to streamripper. Streamripper is a 
command line utility for ripping online streams into mp3 files. 
KStreamRipper helps you with managing your preferred streams and makes 
ripping and listening to them easier.


%prep
%setup -q -n %{name}-%{version}

%build
./unpack_local_scons.sh
export CONFIGURE_TOP="${CONFIGURE_TOP:-.}"
export CFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
./scons configure prefix=%{_prefix} qtlibs=%{qt3lib}

./scons %_smp_mflags

%install
DESTDIR=%buildroot ./scons install

rm $RPM_BUILD_ROOT/usr/share/doc/HTML/en/en/index.cache.bz2
chrpath -d %{buildroot}%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications/kde \
	--remove-key='Encoding' \
	--add-category='KDE;AudioVideo;Audio;Video;Player;Qt' \
	%{buildroot}%{_datadir}/applnk/Utilities/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/apps/%{name}*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/kde/*.desktop 

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.4-4mdv2009.0
+ Revision: 247969
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 158232
- kdelibs-devel is enough
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu entry (Bug #32353)

* Fri Jul 06 2007 Emmanuel Blindauer <blindauer@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 49222
- fix x86_64 build
- missing python for new build system
- 0.3.4 version
- Another try to go through the BS ...
- yearly rebuild
- Import kstreamripper



* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-2mdk
- fix x86_64 build
- %%mkrel
- quiet %%setup

* Fri May 13 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3.3-1mdk
- 0.3.3

* Wed Apr 20 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-2mdk
- Fix group and misc.

* Wed Apr 20 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-1mdk
- 0.3
- source changed

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 0.2-1mdk
- first package
